procedure skyproc ()

string files="\*.fits"	{prompt="Files to process"}
string prefix=""	{prompt="Prefix string for output file names"}
string destdir="../skysub/"	{prompt="Output dir for sky-subtracted files"}
int nskies=0		{prompt="Max number of skies to coadd"}
real fiberdist=0.0	{prompt="Max Fiber distance to sky"}
real skycert=4.0	{prompt="Max R value for certified sky"}
real skystdlim=0.2	{prompt="Max std of difference from average sky"}
bool skysame=yes        {prompt="Use skys only from same chip"}
int mpjobs=12		{prompt="Max number of multiprocessor jobs in parallel"}
string logfile="skyproc.results" {prompt="Name of output summary file"}
file uparmdir="home$uparm"	{prompt="UPARM directory"}
bool verbose=yes	{prompt="note progress"}
bool debug=no		{prompt="note progress in detail"}

begin
    string arg

    if (debug) {
	arg = "-v 2"
	}
    else if (verbose) {
	arg = "-v 1"
	}
    else {
	arg = ""
	}
    arg = arg // " -i " // files // " -d " // destdir // " -n " // nskies
#    arg = arg // " -f " // fiberdist // " -r " // skycert // " -c " // skysame
    arg = arg // " -r " // skycert // " -c " // skysame
    arg = arg // " -s " // skystdlim // " -m " // mpjobs // " -l " // logfile
    arg = arg // " -u " // osfn (uparmdir)
    print ("skyprocksh ",arg)
    skyprocksh (arg)
end

#
# these parameters are for features not (yet) implemented
#
#int skyline=1		{prompt="Scale by: 1=O5577 2=O6300 3=OH7341 4=OH8399"}
#int skyparm=1		{prompt="Scale by: 1=height 2=width 3=equivalent width"}


# arg = arg // " -i " // files // " -d " // destdir // " -n " // nskies
#    arg = arg // " -f " // fiberdist // " -r " // skycert // " -e " // skyline
#    arg = arg // " -s " // skystdlim // " -m " // mpjobs // " -l " // logfile
#    arg = arg // " -w " // skyparm // " -u " // osfn (uparmdir)




