# File procdata/Src/t_padstr.x
# September 12, 2005
# By Doug Mink, Center for Astrophysics

# T_PADSTR -- Replace blanks in a string with _ and : 0 with :00.
# The string is returned as a CL parameter of type string

procedure t_padstr ()

pointer	sp
pointer	value
bool	vb, clgetb()
int	i, lstr, strlen()

begin
        call smark (sp)
        call salloc (value, SZ_LINE,  TY_CHAR)

	call clgstr ("invalue", Memc[value], SZ_LINE)

	vb = clgetb ("verbose")

# Replace blanks appropriately
	lstr = strlen (Memc[value])
	if (lstr > SZ_LINE - 1)
	    lstr = SZ_LINE - 1
	for (i = 1; i <= lstr; i = i + 1) {
	    if (i < lstr && Memc[value+i-1] == ':' && Memc[value+i] == ' ') {
		Memc[value+i] = '0'
		}
	    if (Memc[value+i-1] == ' ') {
		Memc[value+i-1] = '_'
		}
	    }

	call clpstr ("value", Memc[value])
	if (vb) {
	    call printf ("%s\n")
		call pargstr (Memc[value])
	    }
	call sfree (sp)
end

# Sep 12 2005	New IRAF task
